Subject: Re: bug#58349: Bug: 28.1; After disabling tool bar, enabling tab bar does not show tab bar

From: Rittwik Chatterjee <[email-masked]>
Date: Sun, 9 Oct 2022 15:33:16 +0530

When I run

 git clone git://git.savannah.gnu.org/emacs.git

I get

Cloning into 'emacs'...
fatal: unable to connect to git.savannah.gnu.org:
git.savannah.gnu.org[0: 209.51.188.168]: errno=Connection timed out
git.savannah.gnu.org[1: 2001:470:142::168]: errno=Network is unreachable

So I tried

git clone https://git.savannah.gnu.org/git/emacs.git

Which succeeds. I then compile with make and run the new executable.
The emacs version is 29.0.50. And this emacs version does not have this
problem.
The tab bar was shown immediately after M-x tab-bar-mode.

Thanks for your help. It seems the bug is already fixed in the latest
development version.

On Sat, Oct 8, 2022 at 6:42 PM Lars Ingebrigtsen <[email-masked]> wrote:

> Rittwik Chatterjee <[email-masked]> writes:
>
> > I follow the steps from
> >
> https://www.gnu.org/software/emacs/manual/html_node/efaq/Installing-Emacs.html
> > After make completes successfully, I execute "emacs-28.2/src/emacs -Q"
> to run the
> > newly compiled binary (I did not run make-install).
> > However, the problem persists.
>
> Sorry, I meant the current development version of Emacs, not the
> released version (because there has been a lot of work done in this area
> lately).
>
> Here's the instructions for building that:
>
> git clone git://git.savannah.gnu.org/emacs.git
> cd emacs
> make
> ./src/emacs &
>
> Would it be possible for you to try that?
>